package _04_常见算法;

import java.util.Scanner;

public class Test3 {
    public static void main(String[] args) {
        /**
         * 查找算法
         * 基本查找
         *
         * 核心思路: 拿药查找元素和数组当中元素依次进行比较, 如果比较成功返回元素对应的索引
         * 如果比较不成功, 返回-1
         *
         * 注意: 通过控制台录入信息
         * 如果录入信息在数组中打印对应索引位置, 如果不在数组中在控制台当中打印不在数据中
         *
         */
        Scanner scanner = new Scanner(System.in);
        System.out.println("请录入要查找元素内容");
        int number = scanner.nextInt();

        // 定义出来数组
        int[] arr = {100,200,300,400,500};
        // 如果查找元素, 就让index 的值等于对应索引号, 否则他的值就为-1
        int index = -1;
        // 遍历数组, 拿到每一个元素进行依次比较
        for (int i = 0; i < arr.length; i++) {
            // 判断当前遍历元素和输入的元素是否相等
            if(arr[i]== number){
                index = i;
            }
        }
        // 判断当前index 是否-1
        if(index == -1){
            System.out.println("您搜索元素在当前数组当中不存在");
        }else{
            System.out.println("您搜索的元素在数组当中的第"+ index +"位置这里");
        }

    }
}
